      subroutine apptemp(FFT, IDIM1, IDIM2, PIXSIZE, TEMPFAC)
      
C     apply tempfactor to the 2D DFT
      IMPLICIT NONE
C     parameters
      INTEGER   IDIM1, IDIM2
      REAL      FFT(0:IDIM1, -IDIM2:IDIM2), PIXSIZE, TEMPFAC
      
      
C local
      INTEGER   IX, IY, idm
      REAL      X, Y, TMP, D_STAR, T, XSQ

C     ----------------------
      idm = IDIM1*2+1
C     
      TMP = 10.0/(IDM*PIXSIZE)  ! CONVERT TO NM UNITS
      DO IX = -IDIM2, IDIM2     ! PROCESS CURRENT ROW
         X = REAL(IX)
         XSQ = X**2
         DO IY = 0, IDIM1       ! PROCESS FFT A ROW AT A TIME
            Y = REAL(IY)
            D_STAR = SQRT(Y**2 + XSQ) * TMP
            T = EXP ((TEMPFAC/400.0) * (D_STAR**2)) ! ADJUSTED FOR NM
            FFT(IY,IX) = FFT(IY,IX) * T
         ENDDO
      ENDDO
C     
      RETURN
      END

